Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A600 Memory

AuthorTopic: Libs, C, Mui stuff, new 3.9 install what do I need.  (Read 894 times)

0 Members and 1 Guest are viewing this topic.

Offline XDelusion

Libs, C, Mui stuff, new 3.9 install what do I need.
« on: November 04, 2007, 03:31:30 AM »
What are the best filetypes, classes, libs, commands, etc. To add to a fresh install of OS 3.9 with Boing Bags?
Earth has a lot of things other folks might want... like the whole planet. And maybe these folks would like a few changes made, like more carbon dioxide in the atmosphere and room for their way of life. - William S. Burroughs
 

Offline weirdami

new knowingses for old thinkingses
« Reply #1 on: November 04, 2007, 05:02:55 AM »
I always thought MUI was a lame piece of ungood stuff. Did it get better with 3.9? Didn't I hear something about how it was unneeded with 3.9 anyway because of what came with 3.9? What's the deal anyway? :crazy:
----
Binding Polymer: Keeping you together since 1892.
 

Offline AndrewBell

Re: Libs, C, Mui stuff, new 3.9 install what do I need.
« Reply #2 on: November 04, 2007, 06:35:55 AM »
Quote

XDelusion wrote:
What are the best filetypes, classes, libs, commands, etc. To add to a fresh install of OS 3.9 with Boing Bags?


Depends on your hardware and what you intend to run. Do you want free stuff or are you willing to pay a few shareware fees?

Datatypes:
Warpdatatypes - shareware
AKDatatypes - free

Libs:
xad
xvs
xfd
MUI - shareware

Web:
AWeb - free
iBrowse - shareware

Mail:
YAM - free
Simplemail - free

Games:
WHDLoad - shareware

Eye candy:
ReqChange
AmiStart
VisualPrefs
Birdie

File management:
DOpus 4 - free
DOpus 5 - commercial

Nobody can just tell you what you need, unless they know what machine you have and what you want to do with it.
________
Ferrari f2004 specifications
« Last Edit: February 16, 2011, 04:29:18 AM by AndrewBell »
Use the best: Linux for servers, Mac for graphics, Windows for Solitaire.
 

Offline AndrewBell

Re: new knowingses for old thinkingses
« Reply #3 on: November 04, 2007, 06:42:43 AM »
Quote

weirdami wrote:
I always thought MUI was a lame piece of ungood stuff. Did it get better with 3.9? Didn't I hear something about how it was unneeded with 3.9 anyway because of what came with 3.9? What's the deal anyway? :crazy:


MUI is far from lame or ungood, but it requires a fairly high spec machine to get the best from it. OS3.9 doesn't make MUI obsolete. If you want to use YAM, iBrowse, etc. then you still need MUI.
________
SUZUKI GN125
« Last Edit: February 16, 2011, 04:29:29 AM by AndrewBell »
Use the best: Linux for servers, Mac for graphics, Windows for Solitaire.
 

Offline motorollin

Re: new knowingses for old thinkingses
« Reply #4 on: November 04, 2007, 09:20:34 AM »
Quote
weirdami wrote:
I always thought MUI was a lame piece of ungood stuff. Did it get better with 3.9? Didn't I hear something about how it was unneeded with 3.9 anyway because of what came with 3.9? What's the deal anyway? :crazy:

That's ClassAct, which was replaced by Reaction in OS3.9. You still need MUI on OS3.9 if you want to run MUI apps.

I don't understand why a lot of people seem to hate MUI. I've never had any problems with it.

--
moto
Code: [Select]
10  IT\'S THE FINAL COUNTDOWN
20  FOR C = 1 TO 2
30     DA-NA-NAAAA-NAAAA DA-NA-NA-NA-NAAAA
40     DA-NA-NAAAA-NAAAA DA-NA-NA-NA-NA-NA-NAAAAA
50  NEXT C
60  NA-NA-NAAAA
70  NA-NA NA-NA-NA-NA-NAAAA NAAA-NAAAAAAAAAAA
80  GOTO 10
 

Offline Piru

  • \' union select name,pwd--
  • Hero Member
  • *****
  • Join Date: Aug 2002
  • Posts: 6946
  • Total likes: 0
    • http://www.iki.fi/sintonen/
Re: new knowingses for old thinkingses
« Reply #5 on: November 04, 2007, 11:35:08 AM »
@weirdami

ClassAct/Reaction (especially the 3.9 one) is horribly inadequate for any serious GUIs. It also has tons of memory leaks.

Finally it runs on input.device context, meaning that any crash will totally lock up the machine. Also, input.device runs at priority 20, blocking anything below.

MUI is pure heaven in comparison.
 

Offline XDelusion

Re: Libs, C, Mui stuff, new 3.9 install what do I need.
« Reply #6 on: November 04, 2007, 06:32:45 PM »
AndrewBell: Just an all around modern computer set up that handles all sorts of common text, picture, audio, and video data types, can do various things on the web, edit pictures, play games, edit video or make animations, music, that sort of stuff.


Thankx for the advice from all.
Earth has a lot of things other folks might want... like the whole planet. And maybe these folks would like a few changes made, like more carbon dioxide in the atmosphere and room for their way of life. - William S. Burroughs
 

Offline AmiKit

Re: Libs, C, Mui stuff, new 3.9 install what do I need.
« Reply #7 on: November 04, 2007, 07:10:22 PM »
@XDelusion
Quote
What are the best filetypes, classes, libs, commands, etc. To add to a fresh install of OS 3.9 with Boing Bags?

http://www.amikit.amiga.sk/installed-software.htm

Offline XDelusion

Re: Libs, C, Mui stuff, new 3.9 install what do I need.
« Reply #8 on: November 04, 2007, 10:52:25 PM »
 AmiKit is cool, indeed! But I'd rather know exactly how to set up my Amiga like that, but by hand you know?

Speaking of which it seems that some programs they use in that kit, are not available to the public, or are only available for OS4 and not 3.x which there versions must be...

...odd.
Earth has a lot of things other folks might want... like the whole planet. And maybe these folks would like a few changes made, like more carbon dioxide in the atmosphere and room for their way of life. - William S. Burroughs
 

Offline TiredOLife

Re: Libs, C, Mui stuff, new 3.9 install what do I need.
« Reply #9 on: November 04, 2007, 11:01:02 PM »
The Warp datatypes are a lot faster than the ak datatypes
You should defo consider registering.

Also consider registering HSMathLibs.

There is a guide on this site written by AmigaMance, thats well worth a look.
 

Offline rkauer

Re: Libs, C, Mui stuff, new 3.9 install what do I need.
« Reply #10 on: November 05, 2007, 12:42:53 AM »
 MCP 1.46 is very an excellent utility/eye candy application to have.

 The 1.47 version will appear soon...
Goodbye people.

I\'ll pop on from time to time, RL is acting up.
 

Offline adonay

Re: Libs, C, Mui stuff, new 3.9 install what do I need.
« Reply #11 on: November 06, 2007, 06:07:31 PM »
There is a guy on this forum that wrote some sort of guide on here on a.org not long ago ... What paches to use with os3.9 and the like .. can anyone recall this ?
A1200 ACA 1230